OrgIDFilter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.shared.dvr.navigation
Class OrgIDFilter

    java.lang.Object
      org.ocap.shared.dvr.navigation.RecordingListFilter
          org.ocap.shared.dvr.navigation.OrgIDFilter

    public class OrgIDFilter

extends RecordingListFilter

Filter to filter based on OrgID.

Constructor Summary
`OrgIDFilter(int orgID)` Constructs the filter based on a particular organization ID.

Method Summary
`boolean` | `accept(RecordingRequest entry)` Tests if the given `RecordingRequest` passes the filter.
`int` | `getFilterValue()` Reports the value of the organization ID used to create this filter.

Methods inherited from class org.ocap.shared.dvr.navigation.RecordingListFilter
`getCascadingFilter, setCascadingFilter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrgIDFilter

    public OrgIDFilter(int orgID)

  Constructs the filter based on a particular organization ID.

  Parameters:
    `orgID` - the organization ID value for matching `RecordingRequest` instances.

Method Detail

### getFilterValue

    public int getFilterValue()

  Reports the value of the organization ID used to create this filter.

  Returns:
    The organization ID used to filter.

### accept

    public boolean accept(RecordingRequest entry)

  Tests if the given `RecordingRequest` passes the filter.

  Specified by:
    `accept` in class `RecordingListFilter`
  Parameters:
    `entry` - An individual `RecordingRequest` to be evaluated against the filtering algorithm.
  Returns:
    `true` if `RecordingRequest` is of the type indicated by the filter value; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD